package vn.azteam.tpf.service.dto;

import java.io.Serializable;
import java.util.Objects;

/**
 * A DTO for the TBFunction entity.
 */
public class TBFunctionDTO implements Serializable {

    private Long id;

    private String name;

    private String typeRequest;

    private String path;

    private String method;

    private Long tbFunctionGroupId;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getTypeRequest() {
        return typeRequest;
    }

    public void setTypeRequest(String typeRequest) {
        this.typeRequest = typeRequest;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public String getMethod() {
        return method;
    }

    public void setMethod(String method) {
        this.method = method;
    }

    public Long getTbFunctionGroupId() {
        return tbFunctionGroupId;
    }

    public void setTbFunctionGroupId(Long tBFunctionGroupId) {
        this.tbFunctionGroupId = tBFunctionGroupId;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }

        TBFunctionDTO tBFunctionDTO = (TBFunctionDTO) o;
        if (tBFunctionDTO.getId() == null || getId() == null) {
            return false;
        }
        return Objects.equals(getId(), tBFunctionDTO.getId());
    }

    @Override
    public int hashCode() {
        return Objects.hashCode(getId());
    }

    @Override
    public String toString() {
        return "TBFunctionDTO{" +
            "id=" + getId() +
            ", name='" + getName() + "'" +
            ", typeRequest='" + getTypeRequest() + "'" +
            ", path='" + getPath() + "'" +
            ", method='" + getMethod() + "'" +
            ", tbFunctionGroup=" + getTbFunctionGroupId() +
            "}";
    }
}
